=============================================================================
Intel(R) Server Platforms SE7320VP2 BIOS RELEASE NOTES
=============================================================================
INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
=============================================================================
DATE: 		October 16, 2006
TO:		Intel Server Platform SE7320VP2 Customers
SUBJECT:	BIOS Release Notes: P.09.10 (build 043)
=============================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter. The 
furnishing of documents and other materials and information does not provide 
any license, express or implied, by estoppel or otherwise, to any such 
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright(c) 2004 Intel Corporation.

=============================================================================
                              ABOUT THIS RELEASE
=============================================================================
Build #     	: 043
Build Stamp	: Volcano Peak     SE7320VP20.86B.P.09.10.0043.101620061244
              	  Volcano Peak 2   SE7320VP21.86B.P.09.10.0043.101620061244
Build Date	: 16 Oct 2006

=============================================================================
                           BIOS COMPONENTS/CONTENTS
=============================================================================
Processor stepping(s) supported: Intel(R) Xeon(TM) Processors

Microcode update versions:
Name                Description                           Stepping(s)
-------------       ------------------------------        -------------------
M1DF3417.TXT	    Assembly format, Revision 17          D-0 (Nocona)
MBDF4117.TXT	    Assembly format, Revision 17          E-0 (Nocona)
M9DF4305.TXT	    Assembly format, Revision 05	  N-0 (Irwindale)
MBDF4903.TXT 	    Assembly format, Revision 03	  G-1 (Irwindale)
M5DF4A02.TXT	    Assembly format, Revision 02	  R-0 (Irwindale)

System hardware configurations supported: Production Revisions of the Server 
Board SE7320VP2 (DDR1) and (DDR2).


=============================================================================
                       SYSTEM FIRMWARE REQUIREMENTS/REVISIONS
=============================================================================
BMC FW	:  2.40
BMC CFG	:  1.30 or later

=============================================================================
                           IMPORTANT INSTALLATION NOTES
=============================================================================
IMPORTANT NOTES:

1.	Note the settings of the SETUP parameters.  Enter SETUP by hitting 
	the F2 key during boot up.  Write down the settings for each of 
	parameters. At the end of the BIOS update process you should set the 
	parameters to default values by hitting the F9 key, and then re-enter 
	these values you have written down.

2.	Updating BIOS:
	(1) Copy all of the following files into the same folder on a bootable
	Hard Drive or bootable USB Disk Key :

	    FLASH.BAT
	    AFUDOS.EXE
	    P04.ROM
	
	(2) Go to this folder, run "FLASH.BAT" and wait while the update 
	automatically finishes.

3.	Once the update completes, reboot the system.

4.	Enter Setup by pressing the F2 key during boot up.  Once in Setup, 
	press the F9 to set the parameters back to default values. Re-enter 
	the values you wrote down at the beginning of this process. 


=============================================================================
                        BIOS RECOVERY INSTRUCTIONS
=============================================================================

*****************************************
*** USB-Disk Recovery Feature Details ***
*****************************************
- Build Recovery Storage

  1.    Plug in the USB DISK_ON_KEY.
  2.    Boot the system to DOS on a bootable floppy.
  3.    Then from the floppy, format the USB DISK_ON_KEY to FAT 12 or FAT 16.
  4.    Rename ROM file to AMIBOOT.ROM and copy it to the USB DISK_ON_KEY.

- Execute BIOS Recovery

  1.    User Forced Recovery:
        A. Set Recovery Boot Jumper J1H3 (2-3).
        B. Insert the Recovery storage into the USB port.
        C. Power on the system.
        D. The system will boot and display the flash progress.
        E. When the flash is complete, power off system and set jumper back 
	to the Normal position J1H3 (1-2).

  2.	Auto Recovery:
        A. If the system ROM is damaged (checksum BAD), the system will perform 
	the BIOS recovery automatically.

**NOTE** : The recovery only supports the storages of both type FAT12 & FAT16.


*****************************************
***  AMI AFUDOS Flash Feature Details ***
*****************************************
- AFUDOS.EXE V1.33
- This update processing takes 3 to 4 minutes.  Never turn off the system 
  during the update processing. The following message appears when the update 
  processing is finished:

	Reading file ........ done
	Erasing flash ....... done
	Writing flash ....... done
	Verifying flash ..... done
	Erasing BootBlock ... done
	Writing BootBlock ... done
	Verifying BootBlock.. done

  If the system does not restart, TURN THE POWER OFF, THEN ON.

AMI Firmware Update Utility - Version 1.33
Copyright (C)2004 American Megatrends, Inc.  All rights reserved.

	afudos /i<ROM filename> [/o<save ROM filename>] [/n] [/p[b][n][c]]
	[/r<registry_path>] [/s] [/k[N]] [/q] [/h]

	/n    - don't check ROM ID
	/pbnc -
		b - Program Boot Block
		n - Program NVRAM
		c - Destroy System CMOS
	/r    - registry path to store result of operation (Windows version)
	/k    - Program all non-critical block only
	/kN   - Program N'th non-critical block only (from k0/k1/k3 upto k7)
	/c    - Skip non-critical blocks
	/s    - Leave signature in BIOS
	/q    - Silent execution
	/h    - print help
	/t    - Display ROM ID string
        /c    - Program Main BIOS and all Non-critical blocks
        /cN   - Program Main BIOS and N'th Non-critical block (from c0 upto c7)
        /d    - Compare ROM file (skips flashing)
        /u<filename>	-Display ROM ID

=============================================================================
                            KNOWN ISSUES/WORKAROUNDS
=============================================================================
- When running the Flash Utilities (AFUDOS, AFUWIN etc ) do not use the
  following options

	/pn   - for flashing NVRAM Block
	/k    - for flashing all Non-Critical Blocks only
	/c    - for flashing all Non-Critical Blocks along with main BIOS image
	/k0   - for flashing the Non-Critical Block 0 only
	/c0   - for flashing the Non-Critical Block 0 along with main BIOS
	        image

  Since the above options try to flash protected areas NVRAM or Non-Critical
  Block 0 the verification fails.

  Always use the following command to flash a bios

	C:\afudos /iXXXX.ROM /pb /c1 /c2 /n
	
	/i    - Input .ROM file
	/pb   - Flash Boot Block
	/c1   - Flash Non-Critical Block 1 (OEM Logo & User Binaries) along
	        with Main BIOS Image
	/c2   - Flash Non-Critical Block 2 (CPU MicroCode) along with Main BIOS
	        Image
	/n    - don't check ROM ID
	
- The recovery mode support FAT12 and FAT16 only.

- The BIOS setup item "Maximum CPUID Value Limit" must be enabled for
  installing some legacy OSes (NT4.0 for example) which do not support it.


=============================================================================
                              FEATURES ADDED
=============================================================================
Build 043: P.09.10
- N/A

Build 042: P.09
- N/A

Build 041: RC01.09
- UnHide Q_SYSMGMT_SERIAL_RESET token in order to support <ESC> R  <ESC> r
  <ESC> R serial console reboot.

Build 039: P.08
- N/A

Build 038: RC01.08
- Add platform checking capability to OFU utility.
- Update LSI for Hance Rapids (6300ESB) SATA RAID to 5.4.10281401I.

Build 037: P.07
- N/A

Build 036: RC01.07
- Added processor mixed Voltage combinations Feature.
- Added Intel(R) Xeon(R) 800MHz FSB/1M L2 Cache G-1 microcode Revision 3.
- Integrated E7520_Error_reporting_rev027.
- Added Wake on LAN from S5 Feature.

Build 035: P.06
-N/A

Build 034: RC02.06
-N/A

Build 033: RC01.06
-Update Update Processor Microcode M1DF3417.pdb for D-0 (Nocona) stepping. 
 Update Update Processor Microcode MBDF4117.pdb for E-0 (Nocona) stepping. 
 Update Update Processor Microcode M9DF4305.pdb for N-0 (Irwindale) stepping. 
 Add new Processor Microcode for M5DF4A02.pdb for R-0 (Irwindale) stepping.
-Update ISM module from ISM_00_01_04 to ISM_00_01_05.
-Least Featured BSP Changes, the new R-0 Irwindale does have an extended feature
 flag set differently than N-0 Irwindale.
-Latest Mixed Processor Stepping Changes.
-Update AMI TAG CORE0195 

Build 032: P.05.10
-N/A

Build 031: P.05
-N/A

Build 030: RC01.05
-When enabling sparing, the DIMM status will automatically update accordingly showing <Spare> instead of just <Installed> for the appropriate DIMMs without having to do a reboot.
-When no FDD presence, the FDD item in BIOS setup menu will be automatically disabled. 
-Processor Mixed Stepping Changes. In mixed stepping systems, all processors must be of the same voltage.If not,BIOS will display any POST error message to identify that.

Build 029: P.04
-SE7320VP2(DDR1)/SE7320VP2(DDR2) BIOS Banner roll from RC03.04 to P.04.

=============================================================================
                                ISSUES FIXED
=============================================================================
Build 043: P.09.10
- Fix "Press F2" in BIOS redirection console to enter Setup.

Build 042: P.09
- N/A

Build 041: RC01.09
- Fix a ¡§CMOS Checksum Bad¡¨ problem.

Build 039: P.08
- N/A

Build 038: RC01.08
- WHQL Unreported Memory test will fail when PS2 devices are not connected.
- Unable to installed the NIC driver for maximum S5 config on w2k3/sp1.
- Unable to install the LSI 22320R driver for S2 config on w2k3/sp1.
- Can't install win2k3-sp1 on the SCSI card(adaptec 39320).

Build 037: P.07
- N/A

Build 036: RC01.07
- Corrected an issue: Connecting USB keyboard but PS2 keyboard resulted in "Keyboard Nonfunctional" 
  event log, but there was keyboard connected to system.
- Corrected an issue: Least featured BSP change check failed.
- Corrected an issue: Disabled Marvell NIC driver 8.25.1.3 or 8.29.3.3 in Windows 2003, then 
  rebooted and re-enable Marvell NIC caused Bluescreen.
- Corrected an issue: Pressing "F12" to boot from NIC, but it didn't follow the NIC prioriy in Boot 
  Device Priority in BIOS setup.
- Corrected an issue: BIOS tried booting from NIC device twice when pressing "F12" to boot from NIC.
- Corrected an issue: SMBIOS Type 20 got zero length for address space.
- Corrected an issue: Enabled all onboard devices with OpROM and populated LSI PCI RAID card with 
  HDD, BIOS displayed a POST error message "Insufficient memory to shadow PCI option ROM.
- Removed the fix for AAR 1420SA in RC01.06, because new 1420SA OpROM can 
  prevent system hang.

Build 035: P.06
-N/A

Build 034: RC02.06
-Corrected an issue LAN console device ID not match

Build 033: RC01.06
-Corrected an issue USB keyboard works abnormal after INT19 when port 60/64 emulation 
 is enabled in BIOS setup.
-Corrected an issue Console redirection can not work when onboard VGA is disabled in 
 BIOS setup.
-Corrected an issue CPUID display as "F4:" in SETUP with Irwindale R0 F4Ah stepping
 processor.
-Corrected an issue the CPU brand string in POST screen and setup screen has been displayed incorrectly if some combination of processors are mixed.
-Corrected an issue the screen will Hang under BIOS when using AAR 1420SA to make RAID function.
-Corrected an issue that SMBIOS Type 16 is not correct.  
-Corrected an issue that SMBIOS Type 0 is not correct.

Build 032: P.05.10
-Roll back the SSID change in RC01.05 to avoid OS booting issue.

Build 031: P.05
-N/A

Build 030: RC01.05
-Corrected an issue when sparing occurs in single channel mode,the memory faulty LED doesn't be lit.
-Corrected an issue with the DIMM status error in Memory Cinfiguration of Setup Menu when sparing enable in single channel mode.
-Corrected an issue where SSIDs not set correctly on RAID skus.
-Corrected an issue where BIOS logo status windows not displaying with custom logo.
-Corrected an issue "Cert-WHQL-HCT12.1.01 Unreported Memory Test Fails".
-Corrected an issue "nVidia PCIexpress video cards put black bars on BIOS splash screen on BIOS P.02".

Build 029: P.04
-N/A

=============================================================================
                              REFERENCE MATERIAL
=============================================================================
Intel(R) Server Platform SE7320VP2 Technical Product Specification (TPS) 

Technical Support: http://support.intel.com

[END OF RELEASE NOTES]